Subject: Re: bug#24846: error while loading shared libraries: libgmp.so.10: unexpected PLT reloc type 0x40

From: Assaf Gordon <[email-masked]>
Date: Sun, 28 Oct 2018 01:15:32 -0600

tags 24846 notabug
close 24846
stop

(triaging old bugs)

Pádraig Brady wrote:
> On 01/11/16 17:10, Yan Markman wrote: >>>> I think that described failure is only a symptom  of more generic
>> problem. just occasionally failing on coreutils::ls command. So
>> I would like to understand what exactly this message says. This
>> message is reported by " ld-2.22.so" but I have no
>> LIB-source-code. >
> You can see this in the glibc source code.
[...]
>> - Have you got an idea what the code 0x40 (PLT reloc type 0x40) means?
> 
> It was expecting reloc type R_ARM_JUMP_SLOT (0x16) or R_ARM_TLS_DESC (0x0D), but got R_ARM_LDRS_PC_G0. I don't know how that could happen.
> 
>> - Should the "coretuls" be resident in RAM or could be swapped out under any condition and pumped back upon "ls" command?
>> - Should the "libgmp.so" be resident in RAM or could be swapped out under any condition?
> 
> Yes that could happen under mem pressure.

On 2016-11-01 1:33 p.m., Yan Markman wrote:
> MANY MANY THANKS
Given the above, and with no further comments in 2 years,
I'm closing this bug.

-assaf